-- keep in mind that I still use old difficulty names in the code: Creator is Pro, Madman is Insane

-- reduce starting warriors from 1-7 to 1-4 and add some scouts instead

UPDATE MajorStartingUnits SET MinDifficulty='DIFFICULTY_EMPEROR', DifficultyDelta=0.5
	WHERE NotStartTile=1 AND AiOnly=1;

INSERT INTO MajorStartingUnits (Unit, Era, District, Quantity, NotStartTile, OnDistrictCreated, AiOnly, MinDifficulty, DifficultyDelta)
VALUES ('UNIT_SCOUT', 'ERA_ANCIENT', 'DISTRICT_CITY_CENTER', 1, 0, 1, 1, 'DIFFICULTY_IMMORTAL', 1);

-- add free ranged unit on founding/conquering a city at immortal or above

INSERT OR IGNORE INTO Modifiers
		(ModifierId, 								ModifierType,												SubjectRequirementSetId,		RunOnce,	Permanent)
VALUES	('JNR_AI_BONUS_DISTRICT_GRANT_RANGED',		'MODIFIER_SINGLE_CITY_GRANT_UNIT_BY_CLASS_IN_NEAREST_CITY',	'IMMORTAL_DIFFICULTY',	1,			1);

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId, 								Name,						Value)
VALUES	('JNR_AI_BONUS_DISTRICT_GRANT_RANGED',		'UnitPromotionClassType',	'PROMOTION_CLASS_RANGED');

INSERT OR IGNORE INTO DistrictModifiers
		(DistrictType,				ModifierId)
VALUES	('DISTRICT_CITY_CENTER',	'JNR_AI_BONUS_DISTRICT_GRANT_RANGED');

-- Remove Barbarian gold scaling, set base difficulty scaling for all the stats.

UPDATE ModifierArguments SET Extra=0 WHERE Name='Amount' AND ModifierId='BARBARIAN_CAMP_GOLD_SCALING';

UPDATE ModifierArguments SET Value=0	WHERE Name='Amount'				AND ModifierId='HIGH_DIFFICULTY_PRODUCTION_SCALING';
UPDATE ModifierArguments SET Value=0	WHERE Name='Amount'				AND ModifierId='HIGH_DIFFICULTY_GOLD_SCALING';
UPDATE ModifierArguments SET Value=0	WHERE Name='Amount'				AND ModifierId='HIGH_DIFFICULTY_SCIENCE_SCALING';
UPDATE ModifierArguments SET Value=0	WHERE Name='Amount'				AND ModifierId='HIGH_DIFFICULTY_CULTURE_SCALING';
UPDATE ModifierArguments SET Value=0	WHERE Name='Amount'				AND ModifierId='HIGH_DIFFICULTY_FAITH_SCALING';

UPDATE ModifierArguments SET Extra=10 WHERE Name='Amount' AND ModifierId='HIGH_DIFFICULTY_GOLD_SCALING';
UPDATE ModifierArguments SET Extra=10 WHERE Name='Amount' AND ModifierId='HIGH_DIFFICULTY_FAITH_SCALING';
UPDATE ModifierArguments SET Extra=10 WHERE Name='Amount' AND ModifierId='HIGH_DIFFICULTY_PRODUCTION_SCALING';

UPDATE	ModifierArguments 
SET		Extra=5
WHERE	ModifierId = 'HIGH_DIFFICULTY_SCIENCE_SCALING' 
	AND Name = 'Amount';

UPDATE	ModifierArguments 
SET		Extra=5
WHERE	ModifierId = 'HIGH_DIFFICULTY_CULTURE_SCALING' 
	AND Name = 'Amount';

-- flat food bonus

INSERT INTO Modifiers 
		('ModifierId',						'ModifierType',											'OwnerRequirementSetId')
VALUES	('HIGH_DIFFICULTY_FOOD_SCALING',	'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'PLAYER_IS_HIGH_DIFFICULTY_AI');

INSERT INTO ModifierArguments 
		('ModifierId',							'Name',			'Type',							'Value',		'Extra',	'SecondExtra')
VALUES	('HIGH_DIFFICULTY_FOOD_SCALING',	'Amount',		'LinearScaleFromDefaultHandicap',	0,				1,			NULL),
		('HIGH_DIFFICULTY_FOOD_SCALING',	'YieldType',	'ARGTYPE_IDENTITY',					'YIELD_FOOD',	NULL,		NULL);

INSERT INTO TraitModifiers (TraitType, ModifierId)
VALUES	('TRAIT_LEADER_MAJOR_CIV',	'HIGH_DIFFICULTY_FOOD_SCALING');

-- Bonus economic slot for AI at Political Philosophy, bonus wildcard slot for AI at Ideology

INSERT OR IGNORE INTO Modifiers
		(ModifierId, 								ModifierType,												SubjectRequirementSetId,		RunOnce,	Permanent)
VALUES	('JNR_AI_BONUS_ECONOMIC_GOVERNMENT_SLOT',	'MODIFIER_PLAYER_CULTURE_ADJUST_GOVERNMENT_SLOTS_MODIFIER',	'PLAYER_IS_HIGH_DIFFICULTY_AI',	0,			0),
		('JNR_AI_BONUS_WILDCARD_GOVERNMENT_SLOT',	'MODIFIER_PLAYER_CULTURE_ADJUST_GOVERNMENT_SLOTS_MODIFIER',	'PLAYER_IS_HIGH_DIFFICULTY_AI',	0,			0);

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId, 								Name,					Value)
VALUES	('JNR_AI_BONUS_ECONOMIC_GOVERNMENT_SLOT',	'GovernmentSlotType',	'SLOT_ECONOMIC'),
		('JNR_AI_BONUS_WILDCARD_GOVERNMENT_SLOT',	'GovernmentSlotType',	'SLOT_WILDCARD');

INSERT OR IGNORE INTO CivicModifiers
		(CivicType,	ModifierId)
VALUES	('CIVIC_POLITICAL_PHILOSOPHY',	'JNR_AI_BONUS_ECONOMIC_GOVERNMENT_SLOT'),
		('CIVIC_IDEOLOGY',				'JNR_AI_BONUS_WILDCARD_GOVERNMENT_SLOT');

-- Fixes AI not improving Luxury resources with Monopolies mode active
UPDATE Improvements SET PrereqTech=NULL WHERE ImprovementType='IMPROVEMENT_CORPORATION';