INSERT INTO Requirements 
		(RequirementId,					RequirementType,							Inverse) 
VALUES
-- Difficulty levels
		('REQUIRES_PRINCE',				'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE',	0),
		('REQUIRES_KING',				'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE',	0),
		('REQUIRES_EMPEROR',				'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE',	0),
		('REQUIRES_IMMORTAL',				'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE',	0),
		('REQUIRES_DEITY',				'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE',	0),
		('REQUIRES_CREATOR',				'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE',	0),
		('REQUIRES_MADMAN',				'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE',	0),

-- Eras
		('GAME_AT_CLASSICAL_ERA',			'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',			0),
		('GAME_AT_MEDIEVAL_ERA',			'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',			0),
		('GAME_AT_RENAISSANCE_ERA',			'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',			0),
		('GAME_AT_INDUSTRIAL_ERA',			'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',			0),
		('GAME_AT_MODERN_ERA',				'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',			0),
		('GAME_AT_ATOMIC_ERA',				'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',			0),
		('GAME_NOT_AT_INDUSTRIAL_ERA',			'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',			1),
		('GAME_AT_INFO_ERA',				'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',			0),
		('GAME_AT_FUTURE_ERA',				'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',			0),
		('PLAYER_AT_CLASSICAL_ERA',			'REQUIREMENT_PLAYER_ERA_AT_LEAST',		0),
		('PLAYER_AT_MEDIEVAL_ERA',			'REQUIREMENT_PLAYER_ERA_AT_LEAST',		0),
		('PLAYER_AT_RENAISSANCE_ERA',			'REQUIREMENT_PLAYER_ERA_AT_LEAST',		0),
		('PLAYER_AT_INDUSTRIAL_ERA',			'REQUIREMENT_PLAYER_ERA_AT_LEAST',		0),
		('PLAYER_AT_MODERN_ERA',			'REQUIREMENT_PLAYER_ERA_AT_LEAST',		0),
		('PLAYER_AT_ATOMIC_ERA',			'REQUIREMENT_PLAYER_ERA_AT_LEAST',		0),
		('NOT_AT_INDUSTRIAL_ERA',			'REQUIREMENT_PLAYER_ERA_AT_LEAST',		1),
		('PLAYER_AT_INFO_ERA',				'REQUIREMENT_PLAYER_ERA_AT_LEAST',		0),
		('PLAYER_AT_FUTURE_ERA',			'REQUIREMENT_PLAYER_ERA_AT_LEAST',		0);

INSERT INTO RequirementArguments 
		(RequirementId,					Name,		Value) 
VALUES
-- Difficulty levels
		('REQUIRES_PRINCE',				'Handicap',	'DIFFICULTY_PRINCE'),
		('REQUIRES_KING',				'Handicap',	'DIFFICULTY_KING'),
		('REQUIRES_EMPEROR',				'Handicap',	'DIFFICULTY_EMPEROR'),
		('REQUIRES_IMMORTAL',				'Handicap',	'DIFFICULTY_IMMORTAL'),
		('REQUIRES_DEITY',				'Handicap',	'DIFFICULTY_DEITY'),
		('REQUIRES_CREATOR',				'Handicap',	'DIFFICULTY_DEITY_PLUS'),
		('REQUIRES_MADMAN',				'Handicap',	'DIFFICULTY_DEITY_PLUSPLUS'),

-- Eras
		('GAME_AT_CLASSICAL_ERA',			'EraType',	'ERA_CLASSICAL'),
		('GAME_AT_MEDIEVAL_ERA',			'EraType',	'ERA_MEDIEVAL'),
		('GAME_AT_RENAISSANCE_ERA',			'EraType',	'ERA_RENAISSANCE'),
		('GAME_AT_INDUSTRIAL_ERA',			'EraType',	'ERA_INDUSTRIAL'),
		('GAME_AT_MODERN_ERA',				'EraType',	'ERA_MODERN'),
		('GAME_AT_ATOMIC_ERA',				'EraType',	'ERA_ATOMIC'),
		('GAME_NOT_AT_INDUSTRIAL_ERA',			'EraType',	'ERA_INDUSTRIAL'),
		('GAME_AT_INFO_ERA',				'EraType',	'ERA_INFORMATION'),
		('GAME_AT_FUTURE_ERA',				'EraType',	'ERA_FUTURE'),
		('PLAYER_AT_CLASSICAL_ERA',			'EraType',	'ERA_CLASSICAL'),
		('PLAYER_AT_MEDIEVAL_ERA',			'EraType',	'ERA_MEDIEVAL'),
		('PLAYER_AT_RENAISSANCE_ERA',			'EraType',	'ERA_RENAISSANCE'),
		('PLAYER_AT_INDUSTRIAL_ERA',			'EraType',	'ERA_INDUSTRIAL'),
		('PLAYER_AT_MODERN_ERA',			'EraType',	'ERA_MODERN'),
		('PLAYER_AT_ATOMIC_ERA',			'EraType',	'ERA_ATOMIC'),
		('NOT_AT_INDUSTRIAL_ERA',			'EraType',	'ERA_INDUSTRIAL'),
		('PLAYER_AT_INFO_ERA',				'EraType',	'ERA_INFORMATION'),
		('PLAYER_AT_FUTURE_ERA',			'EraType',	'ERA_FUTURE');